import { useQuery } from '@tanstack/react-query';
import { useServices } from '@/lib/services/ServiceProvider';

export function useDashboardOverview() {
  const { dashboardService } = useServices();

  return useQuery({
    queryKey: ['dashboardOverview'],
    queryFn: () => dashboardService.getDashboardOverview(),
  });
}